package com.jpattern.orm.generator.statement;

import java.sql.PreparedStatement;
import java.sql.SQLException;

public class ByteArrayPreparedStatementManipulator extends
PreparedStatementManipulator<byte[]> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setBytes(index, castValue(value));
	}

	@Override
	protected byte[] castValue(final Object value) {
		return (byte[]) value;
	}

}
