package com.jpattern.orm.session.datasource;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * 
 * @author ufo
 *
 */
public interface IPreparedStatement {

	void setQueryTimeout(int queryTimeout) throws SQLException;

	boolean execute() throws SQLException;

	void close() throws SQLException;

	void setObject(int i, Object value) throws SQLException;

	void setMaxRows(int maxRows) throws SQLException;

	ResultSet executeQuery() throws SQLException;

	int executeUpdate() throws SQLException;

	ResultSet getGeneratedKeys() throws SQLException;

	void addBatch() throws SQLException;

	int[] executeBatch() throws SQLException;

}
