package com.jpattern.orm.generator.statement;

import java.sql.Blob;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class BlobPreparedStatementManipulator extends
PreparedStatementManipulator<Blob> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		if (value!=null) {
			ps.setBlob(index, castValue(value));
		} else {
			ps.setObject(index, value);
		}
	}

	@Override
	protected Blob castValue(final Object value) {
		return (Blob) value;
	}

}
