package com.jpattern.orm.generator.statement;

import java.sql.RowId;
import java.sql.PreparedStatement;
import java.sql.SQLException;

public class RowIdPreparedStatementManipulator extends
PreparedStatementManipulator<RowId> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setRowId(index, castValue(value));
	}

	@Override
	protected RowId castValue(final Object value) {
		return (RowId) value;
	}

}
