package com.jpattern.orm.generator.statement;

import java.sql.PreparedStatement;
import java.sql.SQLException;
import java.sql.Timestamp;

public class TimestampPreparedStatementManipulator extends
PreparedStatementManipulator<Timestamp> {

	@Override
	public void setValueToPreparedStatement(final Object value, final PreparedStatement ps,
			final int index) throws SQLException {
		ps.setTimestamp(index, castValue(value));
	}

	@Override
	protected Timestamp castValue(final Object value) {
		return (Timestamp) value;
	}

}
